# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "ergo-chain-types"
version = "0.5.0"
authors = ["Denys Zadorozhnyi <denys@zadorozhnyi.com>"]
exclude = ["proptest-regressions/*"]
description = "Ergo blockchain types"
readme = "README.md"
license = "CC0-1.0"
repository = "https://github.com/ergoplatform/sigma-rust"

[lib]
crate-type = [
    "cdylib",
    "rlib",
]

[dependencies.base16]
version = "0.2.1"

[dependencies.base64]
version = "0.13.0"

[dependencies.byteorder]
version = "1"

[dependencies.derive_more]
version = "0.99"

[dependencies.elliptic-curve]
version = "0.11.6"
features = ["ff"]

[dependencies.k256]
version = "0.10.2"
features = [
    "arithmetic",
    "ecdsa",
]

[dependencies.num-bigint]
version = "0.4.0"

[dependencies.proptest]
version = "1.0.0"
features = ["std"]
optional = true
default-features = false

[dependencies.proptest-derive]
version = "0.3.0"
optional = true

[dependencies.serde]
version = "1.0"
features = ["derive"]
optional = true

[dependencies.serde_json]
version = "1.0"
optional = true

[dependencies.serde_with]
version = "1.9.1"
features = ["json"]
optional = true

[dependencies.sigma-ser]
version = "^0.7.0"

[dependencies.sigma-util]
version = "^0.6.0"

[dependencies.thiserror]
version = "1"

[dependencies.url]
version = "2.2"

[dev-dependencies]

[features]
arbitrary = [
    "proptest",
    "proptest-derive",
]
default = ["json"]
json = [
    "serde",
    "serde_json",
    "serde_with",
]
